/* Laesst eine LED an PD5 blinken. Beispiel fuer Bootloader
 * Der Bytecode soll im Bereich fuer den Bootloader gespeichert werden.
 * Dazu muss dem Linker die Option -tText= im makefile uebergeben werden.
 * 
 */

#include <avr/io.h>
#include <util/delay.h>		// _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
	for(uint16_t t=0; t<=ms; t++)
		_delay_ms(1); 
}

int main()
{
	PORTD |= (1<<PD5);		// LED an PD5 ein
	DDRD |= (1 << DDD5);	// D5 als Ausgang
	
	while (1)
	{
		delay_ms (250);
		PORTD ^= (1<<PD5);	// toggle LED an PD5
	}	
	return 0;
}
