#define LOOP_CYCLES 7 	// Anzahl der Assemblerbefehle in einer Warteschleife. Dies muss ermittelt werden, in dem die Warteschleife im Assemblercode (.lss) anaylsiert wird
#define us(num) (num/(LOOP_CYCLES*(1/(F_CPU/1000000.0))))	// Berechnet, wieviele Loopdurchlaeufe fuer eine Mikrosekunde benoetigt werden

// Datenleitung
#define PORT PORTD
#define DDR DDRD
#define PIN PIND
#define DQ PD5

// Datenleitung steuern
#define INPUT_MODE() DDR&=~(1<<DQ)
#define OUTPUT_MODE() DDR|=(1<<DQ)
#define LOW() PORT&=~(1<<DQ)
#define HIGH() PORT|=(1<<DQ)

// befehlssatz des DS18S20 (Auszug)
#define CMD_CONVERTTEMP 0x44
#define CMD_RSCRATCHPAD 0xBE
#define CMD_SKIPROM 0xCC

uint8_t reset(void);
void write_bit(uint8_t);
uint8_t read_bit(void);
uint8_t read_byte(void);
void write_byte(uint8_t);
uint8_t read_temperature(uint8_t *);
double get_temperature(void);
int main(void);

