/* Demonstriert Interrupts
 *
 *
 */

#include "lcd_tools.h"
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

volatile uint8_t cnt = 0;

ISR (INT0_vect)
{
	cnt++;
	lcd_gotopos (1,1);					// Zhlerstand ausgeben
	lcd_writezahl (cnt, 3, 1);
}

int main()
{
	lcd_ini();

	DDRD &= ~(1 << DDD2);				// PD2 als Eingang
	DDRD |= (1 << DDD0);				// PD0 als Ausgang

	MCUCR = (1 << ISC00)|(1 << ISC01);	// steigende Flanke INT0 => IRQ
	GICR = (1 << INT0);				// IRQ an INT0 aktivieren
	sei();								// IRQs global zulassen
	 
	while (cnt < 10)
	{
		_delay_ms (30);
		_delay_ms (30);
		_delay_ms (30);
		_delay_ms (30);
		PORTD ^= (1 << PD0);		// toggle PD0
	}

	lcd_gotopos (2,1);					// Ende ausgeben
	lcd_writetext ("Ende");
	
	return 0;
}



