/* Schreibt Text auf ein angeschlossenes LCD mit Hilfe der eigenen Include-Datei
 *
 *
 * Ergebnis:
 * |--------------------|
 * |Hello world     T   |
 * |2. Zeile         E  |
 * |3. Zeile   00123  S |
 * |4. Zeile   Y     T|
 * |--------------------|
 *
 */

#include "lcd_tools.h"

int main()
{
	lcd_ini();

	// eigenes Zeichen definieren
	lcd_write (0x40, 0);	// Zeichen #0 schreiben
	lcd_write (0x11, 1);	// Werkzeugschlsselsymbol
	lcd_write (0x11, 1);
	lcd_write (0x1F, 1);
	lcd_write (0x0E, 1);
	lcd_write (0x04, 1);
	lcd_write (0x04, 1);
	lcd_write (0x04, 1);
	lcd_write (0x04, 1);

	lcd_cls();				// Display lschen (nach Zeichendefinition erforderlich!)

	lcd_writetext ("Hello world");
		
	lcd_gotoline(2);
	lcd_writetext ("2. Zeile");
	lcd_gotoline(3);
	lcd_writetext ("3. Zeile");
	lcd_gotoline(4);
	lcd_writetext ("4. Zeile");
	
	lcd_gotopos (1, 17);
	lcd_writechar('T');		
	lcd_gotopos (2, 18);
	lcd_writechar('E');		
	lcd_gotopos (3, 19);
	lcd_writechar('S');		
	lcd_gotopos (4, 20);
	lcd_writechar('T');		

	lcd_gotopos (4, 12);		// Verschiedene Wege, Zeichen auszugeben
	lcd_writetext("\xDF");		// Gradzeichen
	lcd_writechar('');			//  (0225)
	lcd_writechar(0x00);		// eigenes Zeichen nutzen

	lcd_gotopos (3, 12);		
	lcd_writezahl (123, 5, 0);

	while(1);
}



