/* Schreibt Text auf ein angeschlossenes LCD mit Hilfe der eigenen Include-Datei
 *
 * Demonstration verschiedener Zahlenkonvertierungsmoeglichkeiten
 *
 */

#include "lcd_tools.h"
#include <stdio.h> 		// sprintf
 
int main()
{
	char buffer[20];
	
	lcd_ini();
		
	sprintf(buffer, "%d", 567);			// reine Zahl
	lcd_gotopos (1,1);
	lcd_writetext (buffer);
	
	sprintf(buffer, "Zahl: %d%%", 567);	// weitere Textausgaben
	lcd_gotopos (1,10);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%-+5d", 567);		// linksbndig, 5-stellig
	lcd_gotopos (2,1);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%+05d", 567);		// fhrende Leerstellen und immer Vorzeichen
	lcd_gotopos (2,10);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%f", 5.715);		// automatisch Nachkomma: 6
	lcd_gotopos (3,1);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%.2f", 5.715);		// zwei Nachkomma
	lcd_gotopos (3,10);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%.f", 5.715);		// ohne Nachkomma
	lcd_gotopos (3,18);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%#x", 60);			// Hexadezimale Ausgabe
	lcd_gotopos (4,1);
	lcd_writetext (buffer);
	
	sprintf(buffer, "%.2E", 56789.123);	// Exponential
	lcd_gotopos (4,10);
	lcd_writetext (buffer);
	
	while(1);
}



