/* Demonstriert den 8-Bit Timer 0
 *
 * CTC Modus
 */

#include <avr/io.h>
#include <avr/interrupt.h>

#define TEILER 20				// Teilungsverhaeltnis
volatile uint8_t zaehler = TEILER;

// Timer/Counter0 Compare Match
ISR (TIMER0_COMP_vect)
{
	zaehler--;					// Inkrementieren
	if (!zaehler)				// wenn zaehler keinen Wert hat (=0)
	{
		PORTD ^= (1 << PD5);	// PD5 togglen
		zaehler = TEILER;		// wieder n Schritte
	}
}

int main()
{
	DDRD |= (1 << DDD5);		// PORT D5 als Ausgang
	
	TIMSK |= (1 << OCIE0);		// IRQ bei Compare Match
	OCR0 = 194;					// Vergleichswert einstellen => 40,07 Hz bei Q=16 Mhz
	sei();						// IRQs enable
	TCCR0 |= (1 << WGM01);		// CTC-Modus
	TCCR0 |= (1 << CS00) | (1 << CS02);	// Prescaler: 1/1024 (CS1=0 per default)

	while (1);		// endlos
	return 0;
}
