/* Demonstriert den 8-Bit Timer 2: Buzzer
 *
 * CTC Modus
 */

#include <avr/io.h>
#include <avr/interrupt.h>

// Timer/Counter0 Compare Match
ISR (TIMER2_COMP_vect)
{
	PORTD ^= (1 << PD7);		// PD7 togglen (Buzzer)
}

int main()
{
	DDRD |= (1 << DDD7);		// PORT PD7als Ausgang
	
	TIMSK |= (1 << OCIE2);		// IRQ bei Compare Match
	OCR2 = 30;					// Vergleichswert einstellen 
	sei();						// IRQs enable
	TCCR2 |= (1 << WGM21);		// CTC-Modus
	TCCR2 |= (1 << CS22);		// Prescaler: 1/64 

	while (1);		// endlos
	return 0;
}
