/* Demonstriert den Watchdog
 *
 * LEDs an Mini-Mega-Board
 */

#include <avr/io.h>
#include <util/delay.h>		// definiert _delay_ms() 

// wartet ms Millisekunden
void delay_ms(uint16_t ms)
{
	for(uint16_t t=0; t<=ms; t++)
		_delay_ms(1); 
}

int main()
{
	uint8_t cnt = 127;

	DDRD = 0xFF;			// PORTD als Ausgang
	PORTD = 0;				// alles aus

	while (cnt >= 0)		// WHL solange bis cnt < 0
	{
		PORTD = ((cnt & 0x01) << PD5);		// LED1 an PortD Zaehlerstand anzeigen lassen => blinkt, da nur LSB genutzt wird 
		delay_ms (100);
		cnt--;
	}	
	
	PORTD |= (1 << PD6);	// LED2 an Pin 6 ein (wird nie erreicht)
}
