/* Schreibt Zufallszahlen auf ein angeschlossenes LCD mit Hilfe der eigenen Include-Datei
 *
 *
 *
 */

#include "lcd_tools.h"
#include <stdlib.h>
#include <avr/io.h>

#define VON 1		// Bereich fuer die Zufallszahlen
#define BIS 49

int main()
{
	uint8_t i, zz;
	uint16_t result;
	
	lcd_ini();

	ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS1);    	// Frequenzvorteiler: setzen auf 64 (8 MHz / 64 = 125 kHz) und ADC aktivieren 
	ADMUX = 0x00;				// Kanal waehlen (ADC0)
	ADMUX |= (1<<REFS0); 		// externe Referenzspannung nutzen 

	ADCSRA |= (1<<ADSC);              	// eine ADC-Wandlung 
	while ( ADCSRA & (1<<ADSC) );     	// auf Abschluss der Konvertierung warten 
	result = ADCW;						// Wert abholen und verwerfen

	ADCSRA |= (1<<ADSC);              	// eine ADC-Wandlung 
	while ( ADCSRA & (1<<ADSC) );     	// auf Abschluss der Konvertierung warten 
	result = ADCW;						// Wert abholen

	srand (result);						// Zufallszahlengenerator initialisieren
	lcd_writezahl (result, 5, 1);
	lcd_gotoline (2);
	
	for (i=1; i<=5; i++)
	{
		zz = rand();					// Zufallszahl ziehen
		lcd_writezahl (zz, 3, 0);
		lcd_writechar (' ');
	}

	lcd_gotoline (3);					// Lottozahlen
	for (i=1; i<=6; i++)
	{
		zz = rand()%(BIS-VON-1)+VON;	// Zufallszahl im Bereich ziehen
		lcd_writezahl (zz, 2, 1);
		lcd_writechar (' ');
	}
	
	while(1);
}



